Skip to main content
POST
/
gst
/
compliance
/
e-way-bill
/
tax-payer
/
gstin
/
search
Search GSTIN
curl --request POST \
  --url https://api.sandbox.co.in/gst/compliance/e-way-bill/tax-payer/gstin/search \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <x-api-key>' \
  --data '
{
  "gstin": "29AAACQ3770E000"
}
'
{ "code": 200, "data": { "data": { "address1": "", "address2": "560009", "blkStatus": "", "gstin": "29AAACQ3770E000", "legalName": "Acme Industries Private Limited", "pinCode": "560009", "stateCode": "27", "status": "ACT", "tradeName": "", "txpType": "REG" }, "status": "1" }, "timestamp": 1763446641000, "transaction_id": "c882b9b8-08c4-4bb7-b0aa-9f61ef6c4d21" }

Request body schema

View request body schema

Headers

Authorization
string
required

E-Way Bill access token. For token-generation steps, refer to the Generate E-Way Bill Session recipe, then pass the token in the Authorization header.

x-api-version
string
default:1.0.0

API version

x-api-key
string
required

API key for identification

Body

application/json
gstin
string
required

GSTIN of the taxpayer

Response

200 - application/json

200 GSTIN details fetched / 325 Could not retrieve data

code
number
Example:

200

data
object
timestamp
number
Example:

1763446641000

transaction_id
string
Example:

"c882b9b8-08c4-4bb7-b0aa-9f61ef6c4d21"